Package com.oracle.nosql.spring.data.repository.query

# Class NosqlQueryMethod

java.lang.Object
org.springframework.data.repository.query.QueryMethod
com.oracle.nosql.spring.data.repository.query.NosqlQueryMethod

public class NosqlQueryMethod extends org.springframework.data.repository.query.QueryMethod

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NosqlQueryMethod(org.springframework.context.ApplicationContext applicationContext, Method method, org.springframework.data.repository.core.RepositoryMetadata metadata, org.springframework.data.projection.ProjectionFactory factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.data.repository.core.EntityMetadata<?>`
  `getEntityInformation()`
  `boolean`
  `hasAnnotatedQuery()`
  Returns whether the method has an annotated query.

  ### Methods inherited from class org.springframework.data.repository.query.QueryMethod

  `createParameters, createParameters, getDomainClass, getName, getNamedQueryName, getParameters, getResultProcessor, getReturnedObjectType, isCollectionQuery, isModifyingQuery, isPageQuery, isQueryForEntity, isScrollQuery, isSliceQuery, isStreamQuery, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NosqlQueryMethod

    public NosqlQueryMethod(org.springframework.context.ApplicationContext applicationContext, Method method, org.springframework.data.repository.core.RepositoryMetadata metadata, org.springframework.data.projection.ProjectionFactory factory)

- ## Method Details

  - ### getEntityInformation

    public org.springframework.data.repository.core.EntityMetadata<?> getEntityInformation()
    Overrides:
      `getEntityInformation` in class `org.springframework.data.repository.query.QueryMethod`

  - ### hasAnnotatedQuery

    public boolean hasAnnotatedQuery()
    Returns whether the method has an annotated query.